DFS v26.1
Loading

DFS Client Services API (latest)

Download OpenAPI specification:

Contains functionality for managing client data.

For endpoints that support localization the language can be passed either as a query string parameter (using the name 'language') or in the 'accept-language' header.
If no language is passed to such endpoints then the default configured language will be used.

ContactChangeRequest

Retrieve change-request Deprecated

Retrieves change-request for details of the contact.

This API is deprecated. Use GET /v1.1/contacts/{contactId}/change-requests/{changeRequestId} instead.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

changeRequestId
required
integer <int32>

Change request id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "uId": "06ae8f12-a4f1-4b08-8dba-bea9629029f0",
  • "contact": {
    },
  • "status": {
    },
  • "createDate": "2019-08-24T14:15:22Z",
  • "initiatorMember": {
    },
  • "initiatorComment": "string",
  • "reviewDate": "2019-08-24T14:15:22Z",
  • "reviewMember": {
    },
  • "reviewComment": "string",
  • "details": [
    ]
}

Retrieve change-request

Retrieves change-request for details of the contact.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

changeRequestId
required
integer <int32>

Change request id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "uId": "06ae8f12-a4f1-4b08-8dba-bea9629029f0",
  • "contact": {
    },
  • "status": {
    },
  • "createDate": "2019-08-24T14:15:22Z",
  • "initiatorMember": {
    },
  • "initiatorComment": "string",
  • "reviewDate": "2019-08-24T14:15:22Z",
  • "reviewMember": {
    },
  • "reviewComment": "string",
  • "details": [
    ]
}

Enumerate change request statuses

Enumerates change request statuses.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "changeRequestStatuses": [
    ]
}

Check if a pending change request exists Deprecated

Checks if a pending change request exists. If yes retrieves basic information on it.

This API is deprecated. Use GET /v1.1/contacts/{contactId}/pending-change-request/check instead.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "hasPendingChangeRequest": true,
  • "changeRequest": {
    }
}

Check if a pending change request exists

Checks if a pending change request exists. If yes retrieves basic information on it.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "hasPendingChangeRequest": true,
  • "changeRequest": {
    }
}

Search change-requests Deprecated

Searches change-requests given criteria. A member can only see change requests for contacts which they have access to (with or without hierarchy).

This API is deprecated. Use POST /v1.0/contacts/change-requests/search instead.

Authorizations:
Bearer
path Parameters
memberId
required
integer <int32>

Member Id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

page
integer <int32>
pageSize
integer <int32>
sortOrder
string (SortOrder)
Enum: "Ascending" "Descending"
sortBy
string or null

Sorting is available for Id, StatusId, CreateDate, InitiatorMemberId, ContactId, ReviewDate, ReviewMemberId. By default, the latest results would be returned first.

excludeHierarchy
boolean

Limit search results to change requests of directly accessible contacts only

statusId
integer or null <int32>
createDateFrom
string or null <date-time>
createDateTo
string or null <date-time>
initiatorMemberIds
Array of integers or null <int32> [ items <int32 > ]
contactIds
Array of integers or null <int32> [ items <int32 > ]
reviewDateFrom
string or null <date-time>
reviewDateTo
string or null <date-time>
reviewMemberIds
Array of integers or null <int32> [ items <int32 > ]
paths
Array of strings or null

Return submissions which have at least one of the paths specified

Responses

Request samples

Content type
{
  • "page": 0,
  • "pageSize": 0,
  • "sortOrder": "Ascending",
  • "sortBy": "string",
  • "excludeHierarchy": true,
  • "statusId": 0,
  • "createDateFrom": "2019-08-24T14:15:22Z",
  • "createDateTo": "2019-08-24T14:15:22Z",
  • "initiatorMemberIds": [
    ],
  • "contactIds": [
    ],
  • "reviewDateFrom": "2019-08-24T14:15:22Z",
  • "reviewDateTo": "2019-08-24T14:15:22Z",
  • "reviewMemberIds": [
    ],
  • "paths": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "page": 0,
  • "pageSize": 0,
  • "pageCount": 0,
  • "totalCount": 0
}

Search change-requests

Searches change-requests given criteria. A member can only see change requests for contacts which they have access to (with or without hierarchy).

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

page
integer <int32>
pageSize
integer <int32>
sortOrder
string (SortOrder)
Enum: "Ascending" "Descending"
sortBy
string or null

Sorting is available for Id, StatusId, CreateDate, InitiatorMemberId, ContactId, ReviewDate, ReviewMemberId. By default, the latest results would be returned first.

excludeHierarchy
boolean

Limit search results to change requests of directly accessible contacts only

statusId
integer or null <int32>
createDateFrom
string or null <date-time>
createDateTo
string or null <date-time>
initiatorMemberUids
Array of strings or null <uuid> [ items <uuid > ]
contactIds
Array of integers or null <int32> [ items <int32 > ]
reviewDateFrom
string or null <date-time>
reviewDateTo
string or null <date-time>
reviewMemberUids
Array of strings or null <uuid> [ items <uuid > ]
paths
Array of strings or null

Return submissions which have at least one of the paths specified

Responses

Request samples

Content type
{
  • "page": 0,
  • "pageSize": 0,
  • "sortOrder": "Ascending",
  • "sortBy": "string",
  • "excludeHierarchy": true,
  • "statusId": 0,
  • "createDateFrom": "2019-08-24T14:15:22Z",
  • "createDateTo": "2019-08-24T14:15:22Z",
  • "initiatorMemberUids": [
    ],
  • "contactIds": [
    ],
  • "reviewDateFrom": "2019-08-24T14:15:22Z",
  • "reviewDateTo": "2019-08-24T14:15:22Z",
  • "reviewMemberUids": [
    ],
  • "paths": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "page": 0,
  • "pageSize": 0,
  • "pageCount": 0,
  • "totalCount": 0
}

Cancel a change-request

Cancels a change-request. Cancelling is only possible from “pending” status, and can be done only by the member which initiated the change-request.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

changeRequestId
required
integer <int32>

Change request id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Review a change-request

Reviews a change-request. Review is only possible from "pending" status. Initiating member cannot review their own change.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

changeRequestId
required
integer <int32>

Change request id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

isApproved
boolean
comment
string or null

Responses

Request samples

Content type
{
  • "isApproved": true,
  • "comment": "string"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

ContactManagement

Deletes the profile picture

Deletes the profile picture for the contact specified

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Returns the profile picture

Returns the stored profile picture for the contact specified

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "imageContentBase64": "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",
  • "isDefaultImage": false
}

Update profile picture

Updates and stores a profile picture for the contact specified

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

Profile picture payload

imageContentBase64
string or null

Responses

Request samples

Content type
{
  • "imageContentBase64": "string"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Discontinue verification flow for a pending communication channel

Discontinues a verification flow for a pending communication channel. Pending details will be removed and sent key could not be validated anymore.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:
channel
string (CommunicationVerificationChannelType)
Enum: "Email" "Mobile"

Responses

Request samples

Content type
{
  • "channel": "Email"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Retrieve contact details

Retrieves all details saved on a contact.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "hasPendingChangeRequest": true,
  • "hasPendingEmail": true,
  • "hasPendingMobile": true,
  • "details": { }
}

Partially update contact details

Partially updates contact details:

  • A contact may update only fields which are schema-configured to be update-able by a contact.
  • A member may update any non-disabled field, but might be subject to an approval process if any of the fields updated requires approval (per schema configuration). Resulting change-request will need to be reviewed and approved for the changes to be applied.
  • An app may update any non-disabled field.

Any update would be subject to the following:

  • All schema-configured mandatory details should be present following the data update.
  • Additional details outside of the contact data schema are not allowed to be passed.
  • If DFS is configured to derive the username from the contact’s email, and email is passed in context of the call, the endpoint would require a valid and unique email from the user.
  • Arrays must be passed in full. Partially updating arrays (adding or removing entries) is unsupported.

    Possible ApiError.SubCode values:

    UsernameNotUnique: The provided username or email (when username is coupled with email) is not unique.
Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

details
object
comment
string or null

Responses

Request samples

Content type
{
  • "details": { },
  • "comment": "string"
}

Response samples

Content type
application/json
{
  • "isApprovalRequired": true,
  • "hasPendingEmail": true,
  • "hasPendingMobile": true
}

Update contact details

Updates contact details in full. A member updating contact details might be subject to an approval process if any of the fields updated requires approval (per contact data schema configuration). The resulting change-request would need to be reviewed and approved for the change to be applied to the contact. An app calling the endpoint is not subject to such potential limitation.

Any update would be subject to the following:

  • All mandatory details defined in the contact schema should be present following the data update.
  • Additional details outside of the contact data schema are not allowed to be passed.
  • If DFS is configured to derive the username from the contact’s email, and email is passed in context of the call, the endpoint would require a valid and unique email from the user.
  • Arrays must be passed in full. Partially updating arrays (adding or removing entries) is unsupported.

    Possible ApiError.SubCode values:

    UsernameNotUnique: The provided username or email (when username is coupled with email) is not unique.
Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

details
object
comment
string or null

Responses

Request samples

Content type
{
  • "details": { },
  • "comment": "string"
}

Response samples

Content type
application/json
{
  • "isApprovalRequired": true,
  • "hasPendingEmail": true,
  • "hasPendingMobile": true
}

Retrieve contact external connections

Retrieves contact external connections (e.g. the CBS or SSO external Id). The Id used for the import service is depicted with system “Default”.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "connections": [
    ]
}

Add contact external connection

Adds a contact external connections (e.g. the CBS or SSO external-id). External-Ids must be unique across all contacts (regardless of system input). External-id information may be routed internally according to the following:

  • In order to register an external-id for the import service, use system name “Default”.
  • In order to register an external-id for an external identity provider, the system name needs to match one of the defined identity providers.
Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

External connection

externalId
string or null
system
string or null

Responses

Request samples

Content type
{
  • "externalId": "string",
  • "system": "string"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Retrieve contact identifier by external connection

Retrieves contact identifier by external connection.

Authorizations:
Bearer
path Parameters
system
required
string

System

externalId
required
string

ExternalId

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5"
}

Retrieve contact’s username

Retrieves contact’s username.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact Id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "username": "shannon.crawford@additiv.com"
}

Update the username of a contact

Updates the username of a contact. Endpoint should only be used if DFS is the identity provider and email is not coupled with username. Inputted username must be unique across all contacts.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

External connection

username
string or null

Responses

Request samples

Content type
{
  • "username": "string"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Create a new contact

Creates a new contact. the following applies:

  • If the creating entity has participant(s) association, the contact will be associated with the same participant(s).
  • If the creating entity is a member, that member will be directly associated with the contact.
  • Specified details should include at least all mandatory fields as configured in the schema as well as email, if email is coupled with username. Details should not include any attribute which is not specified in the contact schema.
  • If username is not coupled with email, and DFS is the identity provider, username field is mandatory.

    Possible ApiError.SubCode values:

    UsernameNotUnique: The provided username or email (when username is coupled with email) is not unique.
Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

contactTypeId
integer <int32>
username
string or null
details
object
correlationId
string or null

Responses

Request samples

Content type
{
  • "contactTypeId": 0,
  • "username": "string",
  • "details": { },
  • "correlationId": "string"
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "uId": "06ae8f12-a4f1-4b08-8dba-bea9629029f0",
  • "details": null
}

Search details change history Deprecated

Searches details change history given criteria. Changes are returned grouped by submissions. Execution date refers to the time the changes took place, regardless of a potential approval process that may have preceded the execution.

This API is deprecated. Use GET /v1.1/contacts/{contactId}/details/change-history/search instead.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

page
integer <int32>
pageSize
integer <int32>
sortOrder
string (SortOrder)
Enum: "Ascending" "Descending"
sortBy
string or null

Sorting is available for contactChangeSetId, executionDate, initiatorPersonId. by default, the latest results would be returned first.

initiatorPersonIds
Array of integers or null <int32> [ items <int32 > ]
executionDateFrom
string or null <date-time>
executionDateTo
string or null <date-time>
paths
Array of strings or null

Return submissions which have at least one of the paths specified

Responses

Request samples

Content type
{
  • "page": 0,
  • "pageSize": 0,
  • "sortOrder": "Ascending",
  • "sortBy": "string",
  • "initiatorPersonIds": [
    ],
  • "executionDateFrom": "2019-08-24T14:15:22Z",
  • "executionDateTo": "2019-08-24T14:15:22Z",
  • "paths": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "page": 0,
  • "pageSize": 0,
  • "pageCount": 0,
  • "totalCount": 0
}

Search details change history

Searches details change history given criteria. Changes are returned grouped by submissions. Execution date refers to the time the changes took place, regardless of a potential approval process that may have preceded the execution.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

Contact id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

page
integer <int32>
pageSize
integer <int32>
sortOrder
string (SortOrder)
Enum: "Ascending" "Descending"
sortBy
string or null

Sorting is available for contactChangeSetId, executionDate, initiatorPersonId. by default, the latest results would be returned first.

initiatorPersonUids
Array of strings or null <uuid> [ items <uuid > ]
executionDateFrom
string or null <date-time>
executionDateTo
string or null <date-time>
paths
Array of strings or null

Return submissions which have at least one of the paths specified

Responses

Request samples

Content type
{
  • "page": 0,
  • "pageSize": 0,
  • "sortOrder": "Ascending",
  • "sortBy": "string",
  • "initiatorPersonUids": [
    ],
  • "executionDateFrom": "2019-08-24T14:15:22Z",
  • "executionDateTo": "2019-08-24T14:15:22Z",
  • "paths": [
    ]
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "page": 0,
  • "pageSize": 0,
  • "pageCount": 0,
  • "totalCount": 0
}

Verify a pending communication channel

Verifies a pending communication channel via a key sent to it. Key is sent following a communication mean update in contact details which is configured to require validation when updated, or when the key is directly resent via the dedicated endpoint.

Possible ApiError.SubCode values:

UsernameNotUnique: The provided username or email (when username is coupled with email) is not unique.
KeyExpired: The key is no longer valid due to passing the expiration date or exceeding the number of allowed attempts.
KeyNoMatch: The key supplied does not match the key generated for the contact in the channel provided.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:
channel
string (CommunicationVerificationChannelType)
Enum: "Email" "Mobile"
key
string or null

Responses

Request samples

Content type
{
  • "channel": "Email",
  • "key": "string"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Resend key for a pending communication channel

Resends a key for a pending communication channel.

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:
channel
string (CommunicationVerificationChannelType)
Enum: "Email" "Mobile"

Responses

Request samples

Content type
{
  • "channel": "Email"
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Anonymize contact data

Anonymized all data related to the list of contacts passed in CRM data model in Tenant DB.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

contactIds
Array of integers or null <int32> [ items <int32 > ]
contactUIds
Array of strings or null <uuid> [ items <uuid > ]

Responses

Request samples

Content type
{
  • "contactIds": [
    ],
  • "contactUIds": [
    ]
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

ExportManagement

Get CSV file with contact details

Returns a CSV file containing the contacts that were requested using the 'POST /v1.0/contacts/export' service.

Authorizations:
Bearer
path Parameters
exportJobId
required
string <uuid>

The export job Id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Get CSV file with legal-entities details

Returns a CSV file containing the legal-entities that were requested using the 'POST /v1.0/legal-entities/export' service.

Authorizations:
Bearer
path Parameters
exportJobId
required
string <uuid>

The export job Id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Generate CSV file with contact details

Initiates the process to generate a CSV file containing details of the contacts selected (with all the attributes that are marked with ‘isExportable’ = true in the contact details schema) and responds with a jobId that identifies the process.

If the request body is empty, all the contacts will be returned in the CSV file.

If the request body has a GraphQl query, the contacts returned will be filtered based on the filters included in the query.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema: text/plain
string

Responses

Request samples

Content type
text/plain
query {
  contacts(
    where: {
      and: [{ personalInformation: { displayName: { contains: "Shannon" } } }]
    }
  ) {
    items {
    }
  }
}

Response samples

Content type
application/json
{
  • "exportJobId": "8a16feed-2e0d-4228-8fbb-a05bb4aba530"
}

Generate CSV file with legal entitiy details

Initiates the process to generate a CSV file containing details of the legalentities selected (with all the attributes that are marked with ‘isExportable’ = true in the contact details schema) and responds with a jobId that identifies the process.

If the request body is empty, all the contacts will be returned in the CSV file.

If the request body has a GraphQl query, the contacts returned will be filtered based on the filters included in the query.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema: text/plain
string

Responses

Request samples

Content type
text/plain
query {
  legalentities(
    where: { and: [{ details: { name: { contains: "Globales" } } }] }
  ) {
    items {
      id
    }
  }
}

Response samples

Content type
application/json
{
  • "exportJobId": "8a16feed-2e0d-4228-8fbb-a05bb4aba530"
}

ImportManagement

Check the status of the contacts / legal entities sync process

Checks the status of the Contacts / Legal Entities sync process

Authorizations:
Bearer
path Parameters
statusId
required
string <uuid>
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "status": "Unknown",
  • "errorMessage": "string",
  • "failedExternalIds": [
    ]
}

Import contact data files

Imports contact JSON data files to dedicated storage.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "files": [
    ]
}

Sync contact data asynchronously

Syncs contact data files from dedicated storage to DFS System Tables. Each contact entry specified in the files would either create a new contact in DFS or update an existing one depending on prior existence of a contact with the specified externalId. See import documentation for more information on data structure required to execute the endpoint successfully. The endpoint syncs the information asynchronously. Use statusId to check sync progress.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "statusId": "string"
}

Import legal entity file

Imports legal entity JSON data files to dedicated storage.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "files": [
    ]
}

Sync legal entities data asynchronously

Syncs legal entities data files from dedicated storage to DFS System Tables. Each contact entry specified in the files would either create a new legal entity in DFS or update an existing one depending on prior existence of a legal entity with the specified externalId. See import documentation for more information on data structure required to execute the endpoint successfully. The endpoint syncs the information asynchronously. Use statusId to check sync progress.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "statusId": "string"
}

LegalEntity

Get details of legal entity

Gets details of a legal entity

Authorizations:
Bearer
path Parameters
legalEntityId
required
integer <int32>

Legal entity id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "contactGroupId": 0,
  • "details": null
}

Update legal entity's details

Updates a legal entity's details

Authorizations:
Bearer
path Parameters
legalEntityId
required
integer <int32>

Legal entity id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

details
any

Responses

Request samples

Content type
{
  • "details": null
}

Response samples

Content type
application/json
{
  • "code": "BadRequest",
  • "subCode": "NA",
  • "message": "The request was not in the required format",
  • "correlationId": "30d3ebc0b5cb47b0889850bbdfe4aec6"
}

Get details of legal entity by a contact or a member in the scope of a contact Deprecated

This API is deprecated. Use GET /v1.0/legalentities/{legalEntityId}/details instead

Gets details of a legal entity by a contact or a member in the scope of a contact

Authorizations:
Bearer
path Parameters
contactId
required
integer <int32>

The ID of the contact

legalEntityId
required
integer <int32>

Legal entity id

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "contactGroupId": 0,
  • "details": null
}

Create legal entity Deprecated

Creates a legal entity

This API is deprecated. Use POST /v1.1/legalentities instead.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

Array of objects or null (LegalEntityContactAccessPolicyRequest)
details
any

Responses

Request samples

Content type
{
  • "contacts": [
    ],
  • "details": null
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "details": null
}

Create legal entity

Creates a legal entity

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

Array of objects or null (Api.LegalEntities.LegalEntityContactAccessPolicyRequest)
details
any

Responses

Request samples

Content type
{
  • "contacts": [
    ],
  • "details": null
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "details": null
}

SchemaManagement

Retrieve schema information

Retrieves schema information. This includes the schema components, JSON schema and fields metadata.

Authorizations:
Bearer
path Parameters
key
required
string

Schema key

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "key": "string",
  • "schema": "string",
  • "jsonSchema": "string",
  • "concurrencyToken": 0
}

Update schema definition

Updates schema definition. Updating the schema will automatically update the JSON schema and fields metadata. Should not be used outside of the schema editor.

Authorizations:
Bearer
path Parameters
key
required
string

The parameter key

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:

The parameter DTO

schema
string or null
jsonSchema
string or null
concurrencyToken
integer <int64>

Responses

Request samples

Content type
{
  • "schema": "string",
  • "jsonSchema": "string",
  • "concurrencyToken": 0
}

Response samples

Content type
application/json
{
  • "concurrencyToken": 0
}

Retrieve JSON schema

Retrieves JSON schema for the specified schema. Use for external validation of dynamic data.

Authorizations:
Bearer
path Parameters
key
required
string

Schema key

header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "jsonSchema": "string"
}

Retrieve information on schema layout

Retrieves metadata of layout elements in CRM schemas for the purpose of rendering an input form.

Authorizations:
Bearer
path Parameters
key
required
string
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Responses

Response samples

Content type
application/json
{
  • "fields": [
    ]
}

Retrieve top results from a specific list given a lookup term

Retrieve top results from a specific list used in Client Services given a lookup term. Results may be further filtered by list-item hierarchy (for example, only states of a specific country are returned given a country input).

Authorizations:
Bearer
path Parameters
listKey
required
string
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:
filter
string or null

Lookup term for which results are filtered.

limit
integer or null <int32>

Limit results up to the specified value. If not passed, 10 records are returned.

includeId
integer or null <int32>

Include a specific item in the results.

isFilteredByHierarchy
boolean or null

If true, it uses the HierarchyListItemId

hierarchyListItemId
integer or null <int32>

Parent list item id. If passed, it will return the list items which are children of this id.

Responses

Request samples

Content type
{
  • "filter": "string",
  • "limit": 0,
  • "includeId": 0,
  • "isFilteredByHierarchy": true,
  • "hierarchyListItemId": 0
}

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "totalCount": 0
}

Retrieve information on input elements in schema

Retrieves metadata of input elements in CRM schemas for the purpose of rendering an input form or read-only data like a contact list. Note that isReadOnly and isApprovalRequired flags are relevant only for member-facing use-cases.

Authorizations:
Bearer
path Parameters
key
required
string
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:
fieldKeys
Array of strings or null
layoutPathKey
string or null

Responses

Request samples

Content type
{
  • "fieldKeys": [
    ],
  • "layoutPathKey": "string"
}

Response samples

Content type
application/json
{
  • "fields": [
    ]
}

Retrieve list items for specified lists

Retrieves list items for specified lists. If no lists are specified, all lists will be returned.

Authorizations:
Bearer
header Parameters
Accept-Language
string

The ISO 639-1 language to use for localizable data.

Request Body schema:
listKeys
Array of strings or null

Responses

Request samples

Content type
{
  • "listKeys": [
    ]
}

Response samples

Content type
application/json
{
  • "items": [
    ]
}